/*
 * BaseGen.java
 *
 * Created on 2 marzo 2004, 13.55
 */

package it.unibo.txs.prng.gens;

import java.util.Random;
import java.security.SecureRandom;

/**
 *
 * @author  x9000340
 */
public class PrngRandom extends SecureRandom {
  
  Random random = null;
  
  /** <ENG>Creates a new instance of Generator</ENG>
   * <ITA>Crea una nuova istanza della classe Generator</ITA>
   */
  public PrngRandom() {
    random = new Random();
  }
  
  /**<ENG>Fill the byte[] array of pseudo-random values</ENG>
   *<ITA>Riempie byte[] con valori pseudocasuali</ITA>
   */
  public void nextBytes(byte [] bytes){
    random.nextBytes(bytes);
  }
  
}
