/*
 * Created on 24-gen-2005
 *

 */
package it.unibo.txs.app;

import javax.swing.JPanel;

import javax.swing.JButton;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
/**
 * @author patrik.suzzi@gmail.com
 *
 * Console di input per l'utente; permette le azioni base
 */
public class AppConsole extends JPanel {
	
	public void addListener(ActionListener listener){
		jButton.addActionListener(listener);
		jButton1.addActionListener(listener);
		jButton2.addActionListener(listener);
		jButton3.addActionListener(listener);
	}
	
	private JButton jButton = null;
	private JButton jButton1 = null;
	private JButton jButton2 = null;
	private JButton jButton3 = null;
	/**
	 * This is the default constructor
	 */
	public AppConsole() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setLayout(new FlowLayout());
		this.setSize(424, 37);
		this.setToolTipText("");
		this.add(getJButton1(), null);
		this.add(getJButton3(), null);
		this.add(getJButton2(), null);
		this.add(getJButton(), null);
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("test");
			jButton.setToolTipText("Show the TEST View");
		}
		return jButton;
	}
	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton1() {
		if (jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("generate");
			jButton1.setToolTipText("Show the PRNG View");
		}
		return jButton1;
	}


	public void actionPerformed(ActionEvent arg0) {
	}
	/**
	 * This method initializes jButton2	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton2() {
		if (jButton2 == null) {
			jButton2 = new JButton();
			jButton2.setText("load");
			jButton2.setToolTipText("Load a Pseudo Random Number to Test");
		}
		return jButton2;
	}
	
	/**
	 * This method initializes jButton3	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton3() {
		if (jButton3 == null) {
			jButton3 = new JButton();
			jButton3.setText("save");
			jButton3.setToolTipText("Saves the Pseudo Random Number generated by PRNG");
		}
		return jButton3;
	}
  }  //  @jve:decl-index=0:visual-constraint="10,10"
